using Khd.Core.Domain.Dto.TaskType;
using System;
using System.Globalization;
using System.Windows.Data;

namespace Khd.Core.Wpf.myConverter
{
    [ValueConversion(typeof(int), typeof(string))]
    public class TypeDataConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int val = System.Convert.ToInt32(value);
            return StaticTaskType.GetTaskName(val);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
